<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { IsMobileMixin } from '../../mixins/index';

interface LetterAuthor {
  name: string;
  role: string;
  image: {
    src: string;
    alt?: string;
  };
}

export default Vue.extend({
  mixins: [IsMobileMixin],
  props: {
    text: {
      type: String,
      required: true,
    },
    title: {
      type: String,
      required: false,
      default: '',
    },
    author: {
      type: Object as PropType<LetterAuthor>,
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer class="">
    <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-64">
      {{ title }}
    </SlpTypography>
    <SlpRow class="">
      <SlpColumn :cols="3"></SlpColumn>
      <SlpColumn :cols="8">
        <div class="esg-quote__quote">
          <div class="esg-quote__inner">
            <svg
              xmlns="http://www.w3.org/2000/svg"
              width="35"
              height="29"
              viewBox="0 0 35 29"
              fill="none"
            >
              <path
                d="M7.89051 29C5.3163 29 3.35766 27.9855 2.0146 25.9565C0.671533 23.9275 0 21.1449 0 17.6087C0 13.4928 0.979319 9.86957 2.93796 6.73913C4.42518 4.36214 6.50932 2.30267 9.19035 0.56073C10.6398 -0.380986 12.5356 0.275959 13.2869 1.83259C14.0194 3.35015 13.3769 5.1448 12.008 6.12758C10.7339 7.04242 9.69714 8.05786 8.89781 9.17391C7.73694 10.8138 7.12337 12.8144 7.05711 15.1759C7.05158 15.3731 7.27352 15.5217 7.4708 15.5217C7.63869 15.5217 7.77859 15.5217 7.89051 15.5217C9.68126 15.5217 11.1922 16.1014 12.4234 17.2609C13.7105 18.3623 14.354 19.8986 14.354 21.8696C14.354 24.0145 13.7384 25.7536 12.5073 27.087C11.2762 28.3623 9.73723 29 7.89051 29ZM27.7847 29C25.2105 29 23.2518 27.9855 21.9088 25.9565C20.5657 23.9275 19.8942 21.1449 19.8942 17.6087C19.8942 13.4928 20.8735 9.86957 22.8321 6.73913C24.3193 4.36214 26.4035 2.30267 29.0845 0.56073C30.5339 -0.380986 32.4297 0.27596 33.1811 1.83259C33.9135 3.35015 33.271 5.1448 31.9022 6.12758C30.628 7.04242 29.5913 8.05786 28.792 9.17391C27.6311 10.8138 27.0175 12.8144 26.9513 15.1759C26.9457 15.3731 27.1677 15.5217 27.365 15.5217C27.5328 15.5217 27.6727 15.5217 27.7847 15.5217C29.5754 15.5217 31.0864 16.1014 32.3175 17.2609C33.6046 18.3623 34.2482 19.8986 34.2482 21.8696C34.2482 24.0145 33.6326 25.7536 32.4015 27.087C31.1703 28.3623 29.6314 29 27.7847 29Z"
                fill="#171321"
              />
            </svg>
            <SlpTypography variant="quotes" tag="div" class="slp-mt-24">
              <div v-html="$md.render(text)"></div>
            </SlpTypography>
            <div class="esg-quote__author slp-mt-32">
              <div class="esg-quote__author-image">
                <img :src="author.image.src" alt="" />
              </div>

              <div class="slp-ml-24">
                <SlpTypography variant="body1-bold" tag="div">
                  {{ author.name }}
                </SlpTypography>
                <SlpTypography variant="body1" tag="div">
                  {{ author.role }}
                </SlpTypography>
              </div>
            </div>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.esg-quote {
  &__quote {
    border-radius: 8px 8px 100px 8px;
    padding: 1px;
    background: linear-gradient(
      94deg,
      #e3995d80 8.53%,
      #cb929680 14.9%,
      #7f48d680 95.91%
    );
    position: relative;
  }
  &__inner {
    background-color: #fff;
    border-radius: 8px 8px 100px 8px;
    padding: 40px;
  }
  &__author {
    display: flex;
  }
  &__author-image {
    width: 128px;
    height: 128px;
    border-radius: 4.4px 4.4px 60px 4.4px;
    overflow: hidden;
    img {
      height: 100%;
      width: 100%;
      object-fit: cover;
    }
  }
}
</style>
